package sun.security.krb5.internal;

import sun.security.krb5.KrbException;
import sun.security.krb5.Asn1Exception;
import sun.security.util.DerValue;
import java.io.IOException;

public class TGSReq extends KDCReq
{
    public TGSReq(PAData[] array, KDCReqBody kdcReqBody) throws IOException {
        super(array, kdcReqBody, 12);
    }
    
    public TGSReq(byte[] encoding) throws Asn1Exception, IOException, KrbException {
        this.init(new DerValue(encoding));
    }
    
    public TGSReq(DerValue derValue) throws Asn1Exception, IOException, KrbException {
        this.init(derValue);
    }
    
    private void init(DerValue derValue) throws Asn1Exception, IOException, KrbException {
        super.init(derValue, 12);
    }
}
